Page MenuHomePhabricator

Create a Tech Contributors Map to document major audiences and their goals
Closed, ResolvedPublic

Description

TBD, plus identify related metrics for audiences.


Previous summary, potentially obsolete:

Start from
https://meta.wikimedia.org/wiki/Research:Growth_and_diversity_of_Technology_team_audiences

Desired end goal is something like https://www.mediawiki.org/wiki/Wikimedia_Cloud_Services_team/Our_audiences that we can use to help guide other decisions like project prioritization.

Event Timeline

bd808 created this task.Jan 3 2019, 9:38 PM

Is this [partially] https://docs.google.com/document/d/1670f_6owhUuiFhbWsM8ORgv4tdQbtsm4lO9R936yyG8/edit ? Or [partially] https://docs.google.com/document/d/1Lk6xoa3RerFpnIs46BWPpmX3SViRjz3WTt0Q3yTjdaM/edit ? Or something else? Or something that does not exist yet at all, because no assignee?

bd808 added a comment.Mar 28 2019, 7:05 PM

Some of the material in the second google doc (not public folks, sorry) is related. Specifically the "Are there categories/groupings of non-staff technical contributor engagement we can identify from the current programs?" section is a brainstorming list related to this topic. The data there is incomplete and largely lacking the "user goals" type of analysis that @Harej did for Cloud Services audiences. What I'm hoping for in the mid to long term is a collection of "personas" that we can use to inform others about the "typical" people we are trying to help and what we broadly think they want/need. It will also be useful when we are planning new programs or tactical steps in existing programs to help us stay focused on existing groups we are serving (or identify new groups to add to the list).

Aklapper renamed this task from Document major audiences and their goals for Developer Advocacy work to Create a Tech Contributors Map to document major audiences and their goals.Aug 22 2019, 10:11 AM
Aklapper claimed this task.
Aklapper updated the task description. (Show Details)
Aklapper triaged this task as High priority.Sep 15 2019, 1:52 PM
Ainali added a subscriber: Ainali.Sep 27 2019, 11:52 AM
Aklapper closed this task as Resolved.Dec 21 2019, 4:19 PM

Made some changes in https://www.mediawiki.org/w/index.php?title=Developer_Advocacy%2FMetrics&type=revision&diff=3573224&oldid=3549914 :

  • Crossed out unused table cells to make things visually clearer
  • Added rough numbers of code projects in each cell
  • Added ☹ icon for each cell which we would like to measure (or better measure) in the future
  • References:
    • Added links to the two existing Source Code Location lists for Tools (and some clarifications, thanks to bd808)
    • Reorganized/split some statement references
    • Added <ref> which lists Hive queries for modules (thanks to Tgr)

Hence I'm boldly resolving this task. If I missed something important here, then please feel free to reopen.

Obviously https://www.mediawiki.org/wiki/Developer_Advocacy/Metrics#Technical_Contributors_Map welcomes further edits, e.g. link to corresponding Phab tasks which cover implementing measuring stuff.